Skip to main content
GET
Team Stats

Authorizations

apiKey
string
query
required

Path Parameters

slug
string
required

Slug of the league to get team stats for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, season, team, teamSlug, teamName, teamLogo, teamLogoUrl, leagueSlug, leagueName, leagueFullName, group, position, medalClass, playoffMedalClass, stats, postseason, info, updatedAt

Available options:
id,
season,
team,
teamSlug,
teamName,
teamLogo,
teamLogoUrl,
leagueSlug,
leagueName,
leagueFullName,
group,
position,
medalClass,
playoffMedalClass,
stats,
postseason,
info,
updatedAt,
season.*,
team.*,
teamLogo.*,
stats.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
teamName,
-teamName,
group,
-group,
position,
-position,
stats.GP,
-stats.GP,
stats.W,
-stats.W,
stats.T,
-stats.T,
stats.L,
-stats.L,
stats.OTW,
-stats.OTW,
stats.OTL,
-stats.OTL,
stats.GF,
-stats.GF,
stats.GA,
-stats.GA,
stats.GD,
-stats.GD,
stats.PTS,
-stats.PTS,
stats.PPG,
-stats.PPG,
postseason,
-postseason,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

team
integer

Filter by team ID

team.country
string

Filter by team.country slug in ISO 3166-1 alpha-3

season
string

Filter by season slug

champion
boolean

Filter by champion

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of team stats.

_meta
object
data
object[]